%define gnunetuser gnunet
%define gnunethome %{_sharedstatedir}/%{name}
%global debug_package %{nil}

Name:           gnunet
Version:        0.19.1
Release:        1%{?dist}
Summary:        Framework for secure peer-to-peer networking
License:        AGPLv3
Group:          Productivity/Networking/File-Sharing
URL:            https://%{name}.org
%define         _disable_source_fetch 0
Source0:        https://ftpmirror.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        https://ftpmirror.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Source2:        https://www.gnunet.org/~schanzen/schanzen.asc
%define         SHA512SUM0 09823fc0e2aefbe81a08a03e8f73d82e1e10fe9077975ff13da38ea27d00f90931867a6a51346e2045719ae23c3a214a1149e3dde913547d316559205a15bfb5
BuildRequires:  libtool
BuildRequires:  libtool-ltdl
BuildRequires:  libtool-ltdl-devel
BuildRequires:  autoconf
BuildRequires:  make
BuildRequires:  gettext
BuildRequires:  gcc
BuildRequires:  openssl
BuildRequires:  libgcrypt-devel
BuildRequires:  libunistring-devel
BuildRequires:  miniupnpc
BuildRequires:  libidn2-devel
BuildRequires:  zlib-devel
BuildRequires:  jansson-devel
BuildRequires:  gnutls-devel
BuildRequires:  libmicrohttpd-devel
BuildRequires:  zbar-devel
BuildRequires:  gnutls-dane
BuildRequires:  glibc
BuildRequires:  pkgconf
BuildRequires:  libgsf
BuildRequires:  pkgconfig
BuildRequires:  libextractor-devel
BuildRequires:  python3
BuildRequires:  libcurl-devel
BuildRequires:  dbus
BuildRequires:  libsodium-devel
BuildRequires:  sqlite-devel
BuildRequires:  gnupg2
BuildRequires:  libjose-devel
BuildRequires: systemd-rpm-macros
Requires:       libextractor
Requires:       openssl
Requires:       nss-util
Requires:       gnutls
Requires:       curl
Requires:       net-tools
Requires:       iptables
Requires:       miniupnpc
Requires:       dbus
Requires:       authselect
Requires:       libgnunet

%description
GNUnet is peer-to-peer framework providing a network abstractions and
applications focusing on security and privacy.  So far, we have
created applications for anonymous file-sharing, decentralized naming
and identity management, decentralized and confidential telephony and
tunneling IP traffic over GNUnet.  GNUnet is currently developed by a
worldwide group of independent free software developers.  GNUnet is a
GNU package (http://www.gnu.org/).

This is an ALPHA release.  There are known and significant bugs as
well as many missing features in this release.

GNUnet is free software released under the GNU Affero General Public
License (v3 or later). For details see the COPYING file in this
directory.  If you fork this software, you MUST adjust GNUNET_AGPL_URL
in src/include/gnunet_util_lib.h to point to the source code of your
fork!

Additional documentation about GNUnet can be found at
https://gnunet.org/ and in the 'doc/' folder.
Online documentation is provided at
'https://docs.gnunet.org' and 'https://tutorial.gnunet.org'.

%package -n libgnunet
Summary: The GNUnet base libraries
%description -n libgnunet
The GNUnet base libraries.

%package -n libgnunet-devel
Summary: The GNUnet base libraries development files
%description -n libgnunet-devel
The GNUnet base libraries development files.

%package doc
BuildRequires: python3-sphinx python-sphinx_rtd_theme mandoc doxygen texinfo
Summary: The GNUnet documentation
%description doc
The GNUnet documentation.

# gnunet-bcd
%package bcd
BuildRequires: texlive-scheme-medium
Requires: texlive-scheme-medium
Requires: gnunet
Summary: The GNUnet GNS business card generator..
%description bcd
The GNUnet GNS business card generator to generate business cards with
QR codes of zone keys.

%package devel
Requires: gnunet
Requires: libgnunet-devel
Summary: GNUnet development headers
%description devel
Files needed to develop GNUnet applications and services.

# gnunet-postgresql-plugins
%package postgresql-plugins
BuildRequires:  libpq-devel
Requires: libpq
Requires: gnunet
Recommends: postgresql-server
Summary: The GNUnet PostgreSQL plugins.
%description postgresql-plugins
The GNUnet PostgreSQL plugins for the datacache, datastore, namecache
and namestore components.

%package postgresql-plugins-devel
Requires: gnunet-postgresql-plugins
Requires: gnunet-devel
Summary: The GNUnet PostgreSQL plugins development files.
%description postgresql-plugins-devel
The GNUnet PostgreSQL plugins development files.


# gnunet-conversation functionality
%package conversation
Requires: gnunet
BuildRequires:  opus-devel
BuildRequires:  pulseaudio-libs
BuildRequires:  libogg-devel
#Conversation requires gstreamer-app-1.0 and gstreamer-audio-1.0
BuildRequires:  gstreamer1-plugins-base-devel
Summary: The GNUnet CONVERSATION VoP2P component.
%description conversation
The GNUnet CONVERSATION component. Allows you to make Voice-over-Peer-to-Peer
audio calls.

%package conversation-devel
Requires: conversation
Requires: gnunet-devel
#Conversation requires gstreamer-app-1.0 and gstreamer-audio-1.0
Summary: The GNUnet CONVERSATION VoP2P component development files.
%description conversation-devel
The GNUnet CONVERSATION component development files..


# The mysql plugins
%package mysql-plugins
Requires: gnunet
BuildRequires:  mariadb-devel
Recommends: mariadb-server
Summary: The GNUnet MySQL/MariaDB plugins.
%description mysql-plugins
The GNUnet MySQL/MariaDB plugins for the datacache, datastore, namecache
and namestore components.

%package mysql-plugins-devel
Requires: gnunet-mysql-plugins
Requires: gnunet-devel
Summary: The GNUnet MySQL/MariaDB plugins development files.
%description mysql-plugins-devel
The GNUnet MySQL/MariaDB plugins development files..


%prep
echo "%SHA512SUM0 %SOURCE0" | sha512sum -c -
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

%setup -q

%build
%configure
%{make_build}

%pre
getent group %{name}dns >/dev/null || /usr/sbin/groupadd -r %{name}
getent group %{name}dns >/dev/null || /usr/sbin/groupadd -r %{name}dns
getent passwd %{name} >/dev/null || useradd -r -g %{name} -G %{name}dns -m -d %{gnunethome} %{gnunetuser} -c "GNUnet system account"
exit 0

%install
make install DESTDIR=%{buildroot}
install -Dm644 "contrib/packages/fedora/%{name}.service" "%{buildroot}/%{_unitdir}/%{name}.service"
install -Dm644 "contrib/packages/fedora/%{name}-user.service" "%{buildroot}/%{_userunitdir}/%{name}-user.service"
install -Dm644 "contrib/packages/fedora/gnunet-system.conf" %{buildroot}/%{_sysconfdir}/gnunet.conf
# NOTE: Let's not do that for now automatically, because systemd is, well, special
# https://github.com/systemd/systemd/issues/25020
# https://github.com/systemd/systemd/issues/5755
# https://github.com/systemd/systemd/issues/21174
#mkdir -p %%{buildroot}/%%{_sysconfdir}/NetworkManager/dispatcher.d
#install -Dm755 "contrib/packages/fedora/10-dns2gns.sh" %%{buildroot}/%%{_sysconfdir}/NetworkManager/dispatcher.d/
# Remove the dir file like, e.g., bash.
rm -f %{buildroot}%{_infodir}/dir

%check
#make check

%post
mkdir -p ~/.config/gnunet
touch ~/.config/gnunet.conf

%postun

%files
# AGPLv3
%attr(0700, %{gnunetuser}, %{gnunetuser})
%license %{_defaultdocdir}/%{name}/COPYING
%doc doc AUTHORS ChangeLog NEWS README
%{_bindir}/gnunet-ats
%{_bindir}/gnunet-auto-share
%{_bindir}/gnunet-cadet
%{_bindir}/gnunet-consensus-profiler
%{_bindir}/gnunet-core
%{_bindir}/gnunet-datastore
%{_bindir}/gnunet-dht-get
%{_bindir}/gnunet-dht-monitor
%{_bindir}/gnunet-dht-put
%{_bindir}/gnunet-directory
%{_bindir}/gnunet-download
%{_bindir}/gnunet-fs
%{_bindir}/gnunet-gns
%{_bindir}/gnunet-gns-proxy-setup-ca
%{_bindir}/gnunet-identity
%{_bindir}/gnunet-namecache
%{_bindir}/gnunet-namestore
%{_bindir}/gnunet-namestore-dbtool
%{_bindir}/gnunet-namestore-zonefile
%{_bindir}/gnunet-nat
%{_bindir}/gnunet-nat-auto
%{_bindir}/gnunet-nat-server
%{_bindir}/gnunet-nse
%{_bindir}/gnunet-peerinfo
%{_bindir}/gnunet-peerstore
%{_bindir}/gnunet-publish
%{_bindir}/gnunet-qr
%{_bindir}/gnunet-reclaim
%{_bindir}/gnunet-resolver
%{_bindir}/gnunet-revocation
%{_bindir}/gnunet-scrypt
%{_bindir}/gnunet-search
%{_bindir}/gnunet-secretsharing-profiler
%{_bindir}/gnunet-set-profiler
%{_bindir}/gnunet-statistics
%{_bindir}/gnunet-testbed-profiler
%{_bindir}/gnunet-testing
%{_bindir}/gnunet-transport
%{_bindir}/gnunet-transport-certificate-creation
%{_bindir}/gnunet-unindex
%{_bindir}/gnunet-uri
%{_bindir}/gnunet-vpn
%{_bindir}/gnunet-zoneimport
%{_bindir}/gnunet-crypto-tvg
%{_bindir}/gnunet-gnsrecord-tvg
%{_bindir}/gnunet-revocation-tvg
%{_bindir}/gnunet-seti-profiler
%{_bindir}/gnunet-setu-profiler
%{_bindir}/gnunet-dht-hello
%{_bindir}/gnunet-did
%{_bindir}/gnunet-messenger
%{_bindir}/gnunet-scalarproduct
%dir %{_libdir}/%{name}/libexec
%{_libdir}/%{name}/libexec/gnunet-communicator-tcp
%{_libdir}/%{name}/libexec/gnunet-communicator-udp
%{_libdir}/%{name}/libexec/gnunet-communicator-unix
%{_libdir}/%{name}/libexec/gnunet-daemon-exit
%{_libdir}/%{name}/libexec/gnunet-daemon-hostlist
%{_libdir}/%{name}/libexec/gnunet-daemon-latency-logger
%{_libdir}/%{name}/libexec/gnunet-daemon-pt
%{_libdir}/%{name}/libexec/gnunet-daemon-regexprofiler
%{_libdir}/%{name}/libexec/gnunet-daemon-testbed-blacklist
%{_libdir}/%{name}/libexec/gnunet-daemon-testbed-underlay
%{_libdir}/%{name}/libexec/gnunet-daemon-topology
%{_libdir}/%{name}/libexec/gnunet-dns2gns
%{_libdir}/%{name}/libexec/gnunet-helper-dns
%{_libdir}/%{name}/libexec/gnunet-helper-exit
%{_libdir}/%{name}/libexec/gnunet-helper-fs-publish
%{_libdir}/%{name}/libexec/gnunet-helper-nat-client
%{_libdir}/%{name}/libexec/gnunet-helper-nat-server
%{_libdir}/%{name}/libexec/gnunet-helper-testbed
%{_libdir}/%{name}/libexec/gnunet-helper-vpn
%{_libdir}/%{name}/libexec/gnunet-gns-proxy
%{_libdir}/%{name}/libexec/gnunet-namestore-fcfsd
%{_libdir}/%{name}/libexec/gnunet-rest-server
%{_libdir}/%{name}/libexec/gnunet-service-ats
%{_libdir}/%{name}/libexec/gnunet-service-cadet
%{_libdir}/%{name}/libexec/gnunet-service-consensus
%{_libdir}/%{name}/libexec/gnunet-service-core
%{_libdir}/%{name}/libexec/gnunet-service-datastore
%{_libdir}/%{name}/libexec/gnunet-service-dht
%{_libdir}/%{name}/libexec/gnunet-service-dns
%{_libdir}/%{name}/libexec/gnunet-service-fs
%{_libdir}/%{name}/libexec/gnunet-service-gns
%{_libdir}/%{name}/libexec/gnunet-service-identity
%{_libdir}/%{name}/libexec/gnunet-service-namecache
%{_libdir}/%{name}/libexec/gnunet-service-namestore
%{_libdir}/%{name}/libexec/gnunet-service-nat
%{_libdir}/%{name}/libexec/gnunet-service-nat-auto
%{_libdir}/%{name}/libexec/gnunet-service-nse
%{_libdir}/%{name}/libexec/gnunet-service-peerinfo
%{_libdir}/%{name}/libexec/gnunet-service-peerstore
%{_libdir}/%{name}/libexec/gnunet-service-reclaim
%{_libdir}/%{name}/libexec/gnunet-service-regex
%{_libdir}/%{name}/libexec/gnunet-service-resolver
%{_libdir}/%{name}/libexec/gnunet-service-revocation
%{_libdir}/%{name}/libexec/gnunet-service-secretsharing
%{_libdir}/%{name}/libexec/gnunet-service-set
%{_libdir}/%{name}/libexec/gnunet-service-seti
%{_libdir}/%{name}/libexec/gnunet-service-setu
%{_libdir}/%{name}/libexec/gnunet-service-statistics
%{_libdir}/%{name}/libexec/gnunet-service-testbed
%{_libdir}/%{name}/libexec/gnunet-service-testbed-logger
%{_libdir}/%{name}/libexec/gnunet-service-transport
%{_libdir}/%{name}/libexec/gnunet-service-vpn
%{_libdir}/%{name}/libexec/gnunet-service-zonemaster
%{_libdir}/%{name}/libexec/gnunet-timeout
%{_libdir}/%{name}/libexec/gnunet-cmds-helper
%{_libdir}/%{name}/libexec/gnunet-service-messenger
%{_libdir}/%{name}/libexec/gnunet-service-scalarproduct-alice
%{_libdir}/%{name}/libexec/gnunet-service-scalarproduct-bob
%{_libdir}/%{name}/libexec/gnunet-service-scalarproduct-ecc-alice
%{_libdir}/%{name}/libexec/gnunet-service-scalarproduct-ecc-bob
%dir %{_libdir}/%{name}
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_ats_proportional.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_consensus.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_dht.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_dns.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_fs.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_gns.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_regex.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_revocation.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_set_test.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_seti_test.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_setu_test.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_block_test.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_heap.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_sqlite.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_heap.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_sqlite.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_dns.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_gns.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_gnsrecord_reclaim.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namecache_sqlite.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namestore_sqlite.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_peerstore_sqlite.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_reclaim_attribute_basic.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_reclaim_credential_jwt.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_config.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_copying.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_gns.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_identity.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_namestore.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_openid_connect.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_peerinfo.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_rest_reclaim.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_http_server.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_https_server.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_http_client.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_https_client.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_tcp.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_transport_unix.so
%{_libdir}/%{name}/libgnunet_plugin_dhtu_gnunet.so
%{_libdir}/%{name}/libgnunet_plugin_dhtu_ip.so
%{_libdir}/%{name}/libgnunet_plugin_gnsrecord_messenger.so
%{_libdir}/%{name}/libgnunet_plugin_utiltest.so
%{_libdir}/libgnunetats.so.4
%{_libdir}/libgnunetats.so.4.0.0
%{_libdir}/libgnunetblock.so.0
%{_libdir}/libgnunetblock.so.0.0.0
%{_libdir}/libgnunetblockgroup.so.0
%{_libdir}/libgnunetblockgroup.so.0.0.0
%{_libdir}/libgnunetcadet.so.7
%{_libdir}/libgnunetcadet.so.7.0.0
%{_libdir}/libgnunetconsensus.so.0
%{_libdir}/libgnunetconsensus.so.0.0.0
%{_libdir}/libgnunetcore.so.0
%{_libdir}/libgnunetcore.so.0.0.1
%{_libdir}/libgnunetdatacache.so.0
%{_libdir}/libgnunetdatacache.so.0.0.1
%{_libdir}/libgnunetdatastore.so.1
%{_libdir}/libgnunetdatastore.so.1.0.0
%{_libdir}/libgnunetdht.so.4
%{_libdir}/libgnunetdht.so.4.0.0
%{_libdir}/libgnunetdid.so.0
%{_libdir}/libgnunetdid.so.0.0.0
%{_libdir}/libgnunetdns.so.0
%{_libdir}/libgnunetdns.so.0.0.0
%{_libdir}/libgnunetfragmentation.so.2
%{_libdir}/libgnunetfragmentation.so.2.0.0
%{_libdir}/libgnunetfriends.so.0
%{_libdir}/libgnunetfriends.so.0.0.0
%{_libdir}/libgnunetfs.so.2
%{_libdir}/libgnunetfs.so.2.1.1
%{_libdir}/libgnunetgns.so.0
%{_libdir}/libgnunetgns.so.0.0.0
%{_libdir}/libgnunetgnsrecord.so.0
%{_libdir}/libgnunetgnsrecord.so.0.0.0
%{_libdir}/libgnunetgnsrecordjson.so.0
%{_libdir}/libgnunetgnsrecordjson.so.0.0.0
%{_libdir}/libgnunethello.so.0
%{_libdir}/libgnunethello.so.0.1.0
%{_libdir}/libgnunetidentity.so.1
%{_libdir}/libgnunetidentity.so.1.0.0
%{_libdir}/libgnunetnamecache.so.0
%{_libdir}/libgnunetnamecache.so.0.0.0
%{_libdir}/libgnunetnamestore.so.0
%{_libdir}/libgnunetnamestore.so.0.0.1
%{_libdir}/libgnunetnatauto.so.0
%{_libdir}/libgnunetnatauto.so.0.0.0
%{_libdir}/libgnunetnatnew.so.2
%{_libdir}/libgnunetnatnew.so.2.0.0
%{_libdir}/libgnunetnse.so.0
%{_libdir}/libgnunetnse.so.0.0.0
%{_libdir}/libgnunetnt.so.0
%{_libdir}/libgnunetnt.so.0.0.0
%{_libdir}/libgnunetpeerinfo.so.0
%{_libdir}/libgnunetpeerinfo.so.0.0.0
%{_libdir}/libgnunetpeerstore.so.0
%{_libdir}/libgnunetpeerstore.so.0.0.0
%{_libdir}/libgnunetreclaim.so.0
%{_libdir}/libgnunetreclaim.so.0.0.0
%{_libdir}/libgnunetregex.so.3
%{_libdir}/libgnunetregex.so.3.0.1
%{_libdir}/libgnunetregexblock.so.1
%{_libdir}/libgnunetregexblock.so.1.0.0
%{_libdir}/libgnunetrevocation.so.0
%{_libdir}/libgnunetrevocation.so.0.0.0
%{_libdir}/libgnunetsecretsharing.so.0
%{_libdir}/libgnunetsecretsharing.so.0.0.0
%{_libdir}/libgnunetset.so.0
%{_libdir}/libgnunetset.so.0.0.0
%{_libdir}/libgnunetseti.so.0
%{_libdir}/libgnunetseti.so.0.0.0
%{_libdir}/libgnunetsetu.so.0
%{_libdir}/libgnunetsetu.so.0.0.0
%{_libdir}/libgnunetstatistics.so.2
%{_libdir}/libgnunetstatistics.so.2.0.0
%{_libdir}/libgnunettestbed.so.0
%{_libdir}/libgnunettestbed.so.0.0.0
%{_libdir}/libgnunettestbedlogger.so.0
%{_libdir}/libgnunettestbedlogger.so.0.0.0
%{_libdir}/libgnunettesting.so.1
%{_libdir}/libgnunettesting.so.1.1.0
%{_libdir}/libgnunettransport.so.2
%{_libdir}/libgnunettransport.so.2.2.0
%{_libdir}/libgnunettransportapplication.so.0
%{_libdir}/libgnunettransportapplication.so.0.0.0
%{_libdir}/libgnunettransportcommunicator.so.0
%{_libdir}/libgnunettransportcommunicator.so.0.0.0
%{_libdir}/libgnunettransportcore.so.0
%{_libdir}/libgnunettransportcore.so.0.0.0
%{_libdir}/libgnunettransportmonitor.so.0
%{_libdir}/libgnunettransportmonitor.so.0.0.0
%{_libdir}/libgnunettransporttesting.so.0
%{_libdir}/libgnunettransporttesting.so.0.0.0
%{_libdir}/libgnunettransporttesting2.so.0
%{_libdir}/libgnunettransporttesting2.so.0.0.0
%{_libdir}/libgnunetvpn.so.0
%{_libdir}/libgnunetvpn.so.0.0.0
%{_libdir}/libgnunetmessenger.so.0
%{_libdir}/libgnunetmessenger.so.0.0.0
%{_libdir}/libgnunetscalarproduct.so.0
%{_libdir}/libgnunetscalarproduct.so.0.0.0
%{_libdir}/libgnunettestingdhtu.so.0
%{_libdir}/libgnunettestingdhtu.so.0.0.0
%dir %{_datadir}/%{name}/config.d
%{_datadir}/%{name}/config.d/ats.conf
%{_datadir}/%{name}/config.d/cadet.conf
%{_datadir}/%{name}/config.d/communicator-unix.conf
%{_datadir}/%{name}/config.d/consensus.conf
%{_datadir}/%{name}/config.d/core.conf
%{_datadir}/%{name}/config.d/datacache.conf
%{_datadir}/%{name}/config.d/datastore.conf
%{_datadir}/%{name}/config.d/dht.conf
%{_datadir}/%{name}/config.d/dns.conf
%{_datadir}/%{name}/config.d/exit.conf
%{_datadir}/%{name}/config.d/fs.conf
%{_datadir}/%{name}/config.d/gns.conf
%{_datadir}/%{name}/config.d/hostlist.conf
%{_datadir}/%{name}/config.d/identity.conf
%{_datadir}/%{name}/config.d/namecache.conf
%{_datadir}/%{name}/config.d/namestore.conf
%{_datadir}/%{name}/config.d/nat-auto.conf
%{_datadir}/%{name}/config.d/nat.conf
%{_datadir}/%{name}/config.d/nse.conf
%{_datadir}/%{name}/config.d/peerinfo.conf
%{_datadir}/%{name}/config.d/peerstore.conf
%{_datadir}/%{name}/config.d/pt.conf
%{_datadir}/%{name}/config.d/reclaim.conf
%{_datadir}/%{name}/config.d/regex.conf
%{_datadir}/%{name}/config.d/resolver.conf
%{_datadir}/%{name}/config.d/rest.conf
%{_datadir}/%{name}/config.d/revocation.conf
%{_datadir}/%{name}/config.d/secretsharing.conf
%{_datadir}/%{name}/config.d/set.conf
%{_datadir}/%{name}/config.d/seti.conf
%{_datadir}/%{name}/config.d/setu.conf
%{_datadir}/%{name}/config.d/statistics.conf
%{_datadir}/%{name}/config.d/template.conf
%{_datadir}/%{name}/config.d/testbed-logger.conf
%{_datadir}/%{name}/config.d/testbed.conf
%{_datadir}/%{name}/config.d/testing.conf
%{_datadir}/%{name}/config.d/topology.conf
%{_datadir}/%{name}/config.d/transport.conf
%{_datadir}/%{name}/config.d/vpn.conf
%{_datadir}/%{name}/config.d/zonemaster.conf
%{_datadir}/%{name}/config.d/dhtu.conf
%{_datadir}/%{name}/config.d/messenger.conf
%{_datadir}/%{name}/config.d/scalarproduct.conf
%{_datadir}/%{name}/config.d/tlds.conf
%{_datadir}/%{name}/fcfsd-forbidden.html
%{_datadir}/%{name}/fcfsd-index.html
%{_datadir}/%{name}/fcfsd-notfound.html
%{_datadir}/%{name}/gns-bcd-forbidden.html
%{_datadir}/%{name}/gns-bcd-internal-error.html
%{_datadir}/%{name}/gns-bcd-invalid-key.html
%{_datadir}/%{name}/gns-bcd-not-found.html
%{_datadir}/%{name}/gns-bcd-png.tex
%{_datadir}/%{name}/gns-bcd-simple.html
%{_datadir}/%{name}/gns-bcd-simple.tex
%{_datadir}/%{name}/gnunet-logo-dark-only-text.svg
%{_datadir}/%{name}/gnunet-logo-dark-text.svg
%{_datadir}/%{name}/lynXified-amirouche-anonymous-v3.png
%{_datadir}/%{name}/lynXified-amirouche-v3.svg
%{_datadir}/%{name}/old-gnunet-logo-big.png
%{_datadir}/%{name}/old-gnunet-logo-color.png
%{_datadir}/%{name}/old-gnunet-logo-regrouped.svg
%{_datadir}/%{name}/old-gnunet-logo.pdf
%{_datadir}/%{name}/old-gnunet-logo.svg
%{_datadir}/%{name}/netjail_core.sh
%{_datadir}/%{name}/netjail_exec.sh
%{_datadir}/%{name}/netjail_start.sh
%{_datadir}/%{name}/netjail_stop.sh
%{_datadir}/%{name}/services/systemd/gnunet-user.service
%{_datadir}/%{name}/services/systemd/sysusers-gnunet.conf
%{_datadir}/%{name}/services/systemd/tmpfiles-gnunet.conf
%{_datadir}/%{name}/topo.sh
%{_datadir}/aclocal/gnunet.m4
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/def.tex
%{_datadir}/%{name}/gns-bcd.html
%{_datadir}/%{name}/gns-bcd.tex
%{_datadir}/%{name}/gnunet-gns-proxy-ca.template
%{_datadir}/%{name}/gnunet-logo.png
%{_datadir}/%{name}/hellos/Y924NSHMMZ1N1SQCE5TXF93ED6S6JY311K0QT86G9WJC68F6XVZ0
%{_datadir}/%{name}/services/openrc/gnunet.initd
%{_datadir}/%{name}/services/systemd/gnunet.service
%{_datadir}/%{name}/testing_hostkeys.ecc
%{_datadir}/%{name}/sql/datacache-0001.sql
%{_datadir}/%{name}/sql/datacache-drop.sql
%{_datadir}/%{name}/sql/datastore-0001.sql
%{_datadir}/%{name}/sql/datastore-drop.sql
%{_datadir}/%{name}/sql/namecache-0001.sql
%{_datadir}/%{name}/sql/namecache-drop.sql
%{_datadir}/%{name}/sql/namestore-0001.sql
%{_datadir}/%{name}/sql/namestore-drop.sql
%{_datadir}/%{name}/sql/versioning.sql
%{_datadir}/applications/gnunet-uri.desktop
%{_mandir}/man1/gnunet-ats.1.gz
%{_mandir}/man1/gnunet-auto-share.1.gz
%{_mandir}/man1/gnunet-bcd.1.gz
%{_mandir}/man1/gnunet-cadet.1.gz
%{_mandir}/man1/gnunet-conversation-test.1.gz
%{_mandir}/man1/gnunet-conversation.1.gz
%{_mandir}/man1/gnunet-core.1.gz
%{_mandir}/man1/gnunet-datastore.1.gz
%{_mandir}/man1/gnunet-directory.1.gz
%{_mandir}/man1/gnunet-dns2gns.1.gz
%{_mandir}/man1/gnunet-download.1.gz
%{_mandir}/man1/gnunet-fs.1.gz
%{_mandir}/man1/gnunet-gns-proxy-setup-ca.1.gz
%{_mandir}/man1/gnunet-gns-proxy.1.gz
%{_mandir}/man1/gnunet-gns.1.gz
%{_mandir}/man1/gnunet-identity.1.gz
%{_mandir}/man1/gnunet-namecache.1.gz
%{_mandir}/man1/gnunet-namestore-fcfsd.1.gz
%{_mandir}/man1/gnunet-namestore.1.gz
%{_mandir}/man1/gnunet-nat-auto.1.gz
%{_mandir}/man1/gnunet-nat-server.1.gz
%{_mandir}/man1/gnunet-nat.1.gz
%{_mandir}/man1/gnunet-nse.1.gz
%{_mandir}/man1/gnunet-peerinfo.1.gz
%{_mandir}/man1/gnunet-publish.1.gz
%{_mandir}/man1/gnunet-qr.1.gz
%{_mandir}/man1/gnunet-reclaim.1.gz
%{_mandir}/man1/gnunet-resolver.1.gz
%{_mandir}/man1/gnunet-revocation.1.gz
%{_mandir}/man1/gnunet-scalarproduct.1.gz
%{_mandir}/man1/gnunet-scrypt.1.gz
%{_mandir}/man1/gnunet-search.1.gz
%{_mandir}/man1/gnunet-statistics.1.gz
%{_mandir}/man1/gnunet-testbed-profiler.1.gz
%{_mandir}/man1/gnunet-testing-run-service.1.gz
%{_mandir}/man1/gnunet-timeout.1.gz
%{_mandir}/man1/gnunet-transport-certificate-creation.1.gz
%{_mandir}/man1/gnunet-transport.1.gz
%{_mandir}/man1/gnunet-unindex.1.gz
%{_mandir}/man1/gnunet-uri.1.gz
%{_mandir}/man1/gnunet-vpn.1.gz
%{_mandir}/man1/gnunet-zoneimport.1.gz
%{_mandir}/man5/gnunet.conf.5.gz
%{_bindir}/gnunet-suidfix
%{_libdir}/%{name}/libexec/gnunet-service-tng
%{_libdir}/libnss_gns.so.2
%{_libdir}/libnss_gns4.so.2
%{_libdir}/libnss_gns6.so.2
%{_libdir}/pkgconfig/gnunetscalarproduct.pc
%{_unitdir}/%{name}.service
%{_userunitdir}/%{name}-user.service
%{_sysconfdir}/gnunet.conf
#%%{_sysconfdir}/NetworkManager/dispatcher.d/10-dns2gns.sh

%files devel
%{_libdir}/libgnunetblockgroup.so
%{_libdir}/libgnunetats.so
%{_libdir}/libgnunetblock.so
%{_libdir}/libgnunetcadet.so
%{_libdir}/libgnunetconsensus.so
%{_libdir}/libgnunetcore.so
%{_libdir}/libgnunetdatacache.so
%{_libdir}/libgnunetdatastore.so
%{_libdir}/libgnunetdht.so
%{_libdir}/libgnunetdid.so
%{_libdir}/libgnunetdns.so
%{_libdir}/libgnunetfragmentation.so
%{_libdir}/libgnunetfriends.so
%{_libdir}/libgnunetfs.so
%{_libdir}/libgnunetgns.so
%{_libdir}/libgnunetgnsrecord.so
%{_libdir}/libgnunetgnsrecordjson.so
%{_libdir}/libgnunethello.so
%{_libdir}/libgnunetidentity.so
%{_libdir}/libgnunetnamecache.so
%{_libdir}/libgnunetnamestore.so
%{_libdir}/libgnunetnatauto.so
%{_libdir}/libgnunetnatnew.so
%{_libdir}/libgnunetnse.so
%{_libdir}/libgnunetnt.so
%{_libdir}/libgnunetpeerinfo.so
%{_libdir}/libgnunetpeerstore.so
%{_libdir}/libgnunetreclaim.so
%{_libdir}/libgnunetregex.so
%{_libdir}/libgnunetregexblock.so
%{_libdir}/libgnunetrevocation.so
%{_libdir}/libgnunetsecretsharing.so
%{_libdir}/libgnunetset.so
%{_libdir}/libgnunetseti.so
%{_libdir}/libgnunetsetu.so
%{_libdir}/libgnunetstatistics.so
%{_libdir}/libgnunettestbed.so
%{_libdir}/libgnunettestbedlogger.so
%{_libdir}/libgnunettesting.so
%{_libdir}/libgnunettransport.so
%{_libdir}/libgnunettransportapplication.so
%{_libdir}/libgnunettransportcommunicator.so
%{_libdir}/libgnunettransportmonitor.so
%{_libdir}/libgnunettransportcore.so
%{_libdir}/libgnunettransporttesting.so
%{_libdir}/libgnunettransporttesting2.so
%{_libdir}/libgnunetvpn.so
%{_libdir}/libgnunetmessenger.so
%{_libdir}/libgnunetscalarproduct.so
%{_libdir}/libgnunettestingdhtu.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/gnunet_abd_service.h
%{_includedir}/%{name}/gnunet_ats_application_service.h
%{_includedir}/%{name}/gnunet_ats_plugin.h
%{_includedir}/%{name}/gnunet_ats_service.h
%{_includedir}/%{name}/gnunet_ats_transport_service.h
%{_includedir}/%{name}/gnunet_bandwidth_lib.h
%{_includedir}/%{name}/gnunet_block_group_lib.h
%{_includedir}/%{name}/gnunet_block_lib.h
%{_includedir}/%{name}/gnunet_block_plugin.h
%{_includedir}/%{name}/gnunet_cadet_service.h
%{_includedir}/%{name}/gnunet_configuration_lib.h
%{_includedir}/%{name}/gnunet_consensus_service.h
%{_includedir}/%{name}/gnunet_core_service.h
%{_includedir}/%{name}/gnunet_datacache_lib.h
%{_includedir}/%{name}/gnunet_datacache_plugin.h
%{_includedir}/%{name}/gnunet_datastore_plugin.h
%{_includedir}/%{name}/gnunet_datastore_service.h
%{_includedir}/%{name}/gnunet_dht_service.h
%{_includedir}/%{name}/gnunet_dht_block_types.h
%{_includedir}/%{name}/gnunet_dns_service.h
%{_includedir}/%{name}/gnunet_dnsparser_lib.h
%{_includedir}/%{name}/gnunet_dnsstub_lib.h
%{_includedir}/%{name}/gnunet_fragmentation_lib.h
%{_includedir}/%{name}/gnunet_friends_lib.h
%{_includedir}/%{name}/gnunet_fs_service.h
%{_includedir}/%{name}/gnunet_gns_service.h
%{_includedir}/%{name}/gnunet_gnsrecord_lib.h
%{_includedir}/%{name}/gnunet_gnsrecord_plugin.h
%{_includedir}/%{name}/gnunet_gnsrecord_json_lib.h
%{_includedir}/%{name}/gnunet_hello_lib.h
%{_includedir}/%{name}/gnunet_helper_lib.h
%{_includedir}/%{name}/gnunet_identity_service.h
%{_includedir}/%{name}/gnunet_messenger_service.h
%{_includedir}/%{name}/gnunet_mhd_compat.h
%{_includedir}/%{name}/gnunet_namecache_plugin.h
%{_includedir}/%{name}/gnunet_namecache_service.h
%{_includedir}/%{name}/gnunet_namestore_plugin.h
%{_includedir}/%{name}/gnunet_namestore_service.h
%{_includedir}/%{name}/gnunet_nat_auto_service.h
%{_includedir}/%{name}/gnunet_nat_service.h
%{_includedir}/%{name}/gnunet_nse_service.h
%{_includedir}/%{name}/gnunet_nt_lib.h
%{_includedir}/%{name}/gnunet_op_lib.h
%{_includedir}/%{name}/gnunet_peer_lib.h
%{_includedir}/%{name}/gnunet_peerinfo_service.h
%{_includedir}/%{name}/gnunet_peerstore_plugin.h
%{_includedir}/%{name}/gnunet_peerstore_service.h
%{_includedir}/%{name}/gnunet_protocols.h
%{_includedir}/%{name}/gnunet_reclaim_lib.h
%{_includedir}/%{name}/gnunet_reclaim_plugin.h
%{_includedir}/%{name}/gnunet_reclaim_service.h
%{_includedir}/%{name}/gnunet_regex_service.h
%{_includedir}/%{name}/gnunet_resolver_service.h
%{_includedir}/%{name}/gnunet_rest_lib.h
%{_includedir}/%{name}/gnunet_rest_plugin.h
%{_includedir}/%{name}/gnunet_revocation_service.h
%{_includedir}/%{name}/gnunet_rps_service.h
%{_includedir}/%{name}/gnunet_scheduler_lib.h
%{_includedir}/%{name}/gnunet_secretsharing_service.h
%{_includedir}/%{name}/gnunet_set_service.h
%{_includedir}/%{name}/gnunet_seti_service.h
%{_includedir}/%{name}/gnunet_setu_service.h
%{_includedir}/%{name}/gnunet_signal_lib.h
%{_includedir}/%{name}/gnunet_signatures.h
%{_includedir}/%{name}/gnunet_socks.h
%{_includedir}/%{name}/gnunet_statistics_service.h
%{_includedir}/%{name}/gnunet_testbed_logger_service.h
%{_includedir}/%{name}/gnunet_testbed_service.h
%{_includedir}/%{name}/gnunet_testing_lib.h
%{_includedir}/%{name}/gnunet_transport_application_service.h
%{_includedir}/%{name}/gnunet_transport_communication_service.h
%{_includedir}/%{name}/gnunet_transport_core_service.h
%{_includedir}/%{name}/gnunet_transport_hello_service.h
%{_includedir}/%{name}/gnunet_transport_manipulation_service.h
%{_includedir}/%{name}/gnunet_transport_monitor_service.h
%{_includedir}/%{name}/gnunet_transport_plugin.h
%{_includedir}/%{name}/gnunet_transport_service.h
%{_includedir}/%{name}/gnunet_tun_lib.h
%{_includedir}/%{name}/gnunet_vpn_service.h
%{_includedir}/%{name}/gnunet_child_management_lib.h
%{_includedir}/%{name}/gnunet_dhtu_plugin.h
%{_includedir}/%{name}/gnunet_hello_uri_lib.h
%{_includedir}/%{name}/gnunet_testing_netjail_lib.h
%{_includedir}/%{name}/gnunet_testing_plugin.h
%{_includedir}/%{name}/gnu_name_system_record_types.h
%{_includedir}/%{name}/gnunet_error_codes.h
%{_includedir}/%{name}/gnunet_scalarproduct_service.h
%{_includedir}/%{name}/gnunet_testing_ng_lib.h
%{_libdir}/pkgconfig/gnunetats.pc
%{_libdir}/pkgconfig/gnunetblock.pc
%{_libdir}/pkgconfig/gnunetcadet.pc
%{_libdir}/pkgconfig/gnunetconsensus.pc
%{_libdir}/pkgconfig/gnunetcore.pc
%{_libdir}/pkgconfig/gnunetdatacache.pc
%{_libdir}/pkgconfig/gnunetdatastore.pc
%{_libdir}/pkgconfig/gnunetdht.pc
%{_libdir}/pkgconfig/gnunetdns.pc
%{_libdir}/pkgconfig/gnunetenv.pc
%{_libdir}/pkgconfig/gnunetfragmentation.pc
%{_libdir}/pkgconfig/gnunetfs.pc
%{_libdir}/pkgconfig/gnunetgns.pc
%{_libdir}/pkgconfig/gnunethello.pc
%{_libdir}/pkgconfig/gnunetidentity.pc
%{_libdir}/pkgconfig/gnunetnamestore.pc
%{_libdir}/pkgconfig/gnunetnat.pc
%{_libdir}/pkgconfig/gnunetnse.pc
%{_libdir}/pkgconfig/gnunetpeerinfo.pc
%{_libdir}/pkgconfig/gnunetregex.pc
%{_libdir}/pkgconfig/gnunetrevocation.pc
%{_libdir}/pkgconfig/gnunetrps.pc
%{_libdir}/pkgconfig/gnunetset.pc
%{_libdir}/pkgconfig/gnunetstatistics.pc
%{_libdir}/pkgconfig/gnunettestbed.pc
%{_libdir}/pkgconfig/gnunettesting.pc
%{_libdir}/pkgconfig/gnunettransport.pc
%{_libdir}/pkgconfig/gnunetutil.pc
%{_libdir}/pkgconfig/gnunetvpn.pc


%files postgresql-plugins
%{_libdir}/libgnunetpq.so
%{_libdir}/libgnunetpq.so.3
%{_libdir}/libgnunetpq.so.3.0.0
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datacache_postgres.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_postgres.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namecache_postgres.so
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_namestore_postgres.so

%files postgresql-plugins-devel
%{_libdir}/libgnunetpq.so
%{_includedir}/%{name}/gnunet_pq_lib.h

%files mysql-plugins
%{_libdir}/libgnunetmy.so
%{_libdir}/libgnunetmy.so.0
%{_libdir}/libgnunetmy.so.0.0.0
%{_libdir}/libgnunetmysql.so
%{_libdir}/libgnunetmysql.so.0
%{_libdir}/libgnunetmysql.so.0.0.0
%{_usr}/%{_lib}/%{name}/libgnunet_plugin_datastore_mysql.so

%files mysql-plugins-devel
%{_libdir}/libgnunetmy.so
%{_libdir}/libgnunetmysql.so
%{_libdir}/pkgconfig/gnunetmysql.pc
%{_includedir}/%{name}/gnunet_my_lib.h
%{_includedir}/%{name}/gnunet_mysql_lib.h

%files conversation
%{_bindir}/gnunet-conversation
%{_bindir}/gnunet-conversation-test
%{_libdir}/%{name}/libexec/gnunet-helper-audio-playback
%{_libdir}/%{name}/libexec/gnunet-helper-audio-record
%{_libdir}/%{name}/libexec/gnunet-service-conversation
%{_libdir}/%{name}/libgnunet_plugin_gnsrecord_conversation.so
%{_libdir}/libgnunetconversation.so
%{_libdir}/libgnunetconversation.so.0
%{_libdir}/libgnunetconversation.so.0.0.0
%{_libdir}/libgnunetmicrophone.so
%{_libdir}/libgnunetmicrophone.so.0
%{_libdir}/libgnunetmicrophone.so.0.0.0
%{_libdir}/libgnunetspeaker.so
%{_libdir}/libgnunetspeaker.so.0
%{_libdir}/libgnunetspeaker.so.0.0.0
%{_datadir}/%{name}/config.d/conversation.conf

%files conversation-devel
%{_libdir}/libgnunetconversation.so
%{_libdir}/libgnunetmicrophone.so
%{_libdir}/libgnunetspeaker.so
%{_includedir}/%{name}/gnunet_microphone_lib.h
%{_includedir}/%{name}/gnunet_speaker_lib.h
%{_includedir}/%{name}/gnunet_conversation_service.h
%{_libdir}/pkgconfig/gnunetmicrophone.pc
%{_libdir}/pkgconfig/gnunetspeaker.pc
%{_libdir}/pkgconfig/gnunetconversation.pc


%files bcd
%{_bindir}/gnunet-bcd

%files doc
%{_defaultdocdir}/%{name}/html
%{_infodir}/gnunet.info.gz

%files -n libgnunet-devel
%{_libdir}/libgnunetsq.so
%{_libdir}/libgnunetcurl.so
%{_libdir}/libgnunetarm.so
%{_libdir}/libgnunetjson.so
%{_libdir}/libgnunetrest.so
%{_libdir}/libgnunetutil.so
%{_libdir}/pkgconfig/gnunetarm.pc
%{_libdir}/%{name}/libgnunet_test_transport_plugin_cmd_simple_send.so
%{_libdir}/%{name}/libgnunet_test_transport_plugin_cmd_simple_send_broadcast.so
%{_libdir}/%{name}/libgnunet_test_transport_plugin_cmd_simple_send_dv.so
%{_libdir}/%{name}/libgnunet_test_transport_plugin_cmd_udp_backchannel.so
%{_libdir}/%{name}/libgnunet_test_transport_plugin_cmd_nat_upnp.so
%{_includedir}/%{name}/gnunet_util_lib.h
%{_includedir}/%{name}/gnunet_json_lib.h
%{_includedir}/%{name}/gnunet_load_lib.h
%{_includedir}/%{name}/compat.h
%{_includedir}/%{name}/gettext.h
%{_includedir}/%{name}/gnunet_bio_lib.h
%{_includedir}/%{name}/gnunet_buffer_lib.h
%{_includedir}/%{name}/gnunet_constants.h
%{_includedir}/%{name}/gnunet_applications.h
%{_includedir}/%{name}/gnunet_arm_service.h
%{_includedir}/%{name}/gnunet_plugin_lib.h
%{_includedir}/%{name}/gnunet_time_lib.h
%{_includedir}/%{name}/gnunet_uri_lib.h
%{_includedir}/%{name}/gnunet_strings_lib.h
%{_includedir}/%{name}/gnunet_sq_lib.h
%{_includedir}/%{name}/gnunet_container_lib.h
%{_includedir}/%{name}/gnunet_service_lib.h
%{_includedir}/%{name}/gnunet_program_lib.h
%{_includedir}/%{name}/gnunet_os_lib.h
%{_includedir}/%{name}/gnunet_mq_lib.h
%{_includedir}/%{name}/gnunet_mst_lib.h
%{_includedir}/%{name}/gnunet_nc_lib.h
%{_includedir}/%{name}/gnunet_network_lib.h
%{_includedir}/%{name}/gnunet_getopt_lib.h
%{_includedir}/%{name}/gnunet_disk_lib.h
%{_includedir}/%{name}/gnunet_client_lib.h
%{_includedir}/%{name}/gnunet_common.h
%{_includedir}/%{name}/gnunet_config.h
%{_includedir}/%{name}/gnunet_db_lib.h
%{_includedir}/%{name}/gnunet_crypto_lib.h
%{_includedir}/%{name}/gnunet_curl_lib.h
%{_includedir}/%{name}/gnunet_mysql_compat.h
%{_includedir}/%{name}/gnunet_testing_barrier.h

%files -n libgnunet
%{_libdir}/%{name}/libexec/gnunet-service-arm
%{_libdir}/libgnunetsq.so.0
%{_libdir}/libgnunetsq.so.0.0.0
%{_libdir}/libgnunetcurl.so.0
%{_libdir}/libgnunetcurl.so.0.0.0
%{_libdir}/libgnunetarm.so.2
%{_libdir}/libgnunetarm.so.2.0.0
%{_libdir}/libgnunetjson.so.0
%{_libdir}/libgnunetjson.so.0.0.0
%{_libdir}/libgnunetrest.so.0
%{_libdir}/libgnunetrest.so.0.0.0
%{_libdir}/libgnunetutil.so.15
%{_libdir}/libgnunetutil.so.15.0.0
%{_datadir}/%{name}/config.d/util.conf
%{_datadir}/%{name}/config.d/arm.conf
%{_datadir}/locale/de/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/es/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/fr/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/it/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/sr/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/sv/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/vi/LC_MESSAGES/gnunet.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/gnunet.mo
%{_bindir}/gnunet-arm
%{_bindir}/gnunet-base32
%{_bindir}/gnunet-bugreport
%{_bindir}/gnunet-config
%{_bindir}/gnunet-ecc
%{_mandir}/man1/gnunet-arm.1.gz
%{_mandir}/man1/gnunet-base32.1.gz
%{_mandir}/man1/gnunet-bugreport.1.gz
%{_mandir}/man1/gnunet-config.1.gz
%{_mandir}/man1/gnunet-ecc.1.gz
%{_mandir}/man1/gnunet-namestore-dbtool.1.gz
%{_mandir}/man1/gnunet-namestore-zonefile.1.gz


%changelog
* Wed Dec 07 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.19.0
- Version bump
* Fri Nov 04 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.18.1
- Version bump
* Mon Sep 26 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.6
- Version bump
* Fri Sep 09 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.5
- Add systemd scripts
* Sun Sep 04 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.5
- Version bump
* Fri Aug 12 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.4
- Simplify documentation package
* Thu Aug 11 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.4
- Version bump
* Sun Aug 07 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.3
- Version bump
* Tue Jul 12 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.2
- Version bump
* Mon Jul 04 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.1
- Version bump
- Split up package better
* Mon Jun 06 2022 Martin Schanzenbach <schanzen@gnunet.org> - 0.17.0
- Version bump
* Mon May 17 2021 Jospeh Burchetta <joseph@seattlemesh.net> - 0.14.1
- GPG verification
* Sat Mar 27 2021 Joseph Burchetta <joseph@seattlemesh.net> - 0.14.0
- Updated for Fedora 34
- Fixed package license details
* Thu Jul 09 2020 Joseph Burchetta <joseph@seattlemesh.net> - 0.13.0
- ARMv7 packaged
- Update for Fedora 32
* Sun Dec 1 2019 Joseph Burchetta <joseph@seattlemesh.net> - 0.11.8-0-1550
- First GNUnet RPM

